test procedure: startup and shutdown
------------------------------------

initial status: 
  testing has not yet started

steps:
  -start Engauge Digitizer
  -exit Engauge Digitizer
  -restart Engauge Digitizer

test procedure: axis point mode on linear-linear graph
------------------------------------------------------

initial status: 
  Engauge is running without any documents

steps:
  -import samples/inverse.jpg
  -(axis point mode) digitize three axis points
  -move cursor around
    -verify correct coordinates in status bar
  -(segment fill mode) click on left side of curve to add points
  -(segment fill mode) click on right side of curve to add points
  -enable View/Curve Geometry Info window
    -check for reasonable numbers 
  -disable View/Curve Geometry Info window and immediately reenable it
    -verify window disappeared and reappeared correctly
  -enable View/Gridlines Display 
    -check for reasonable gridlines
  -disable View/Gridlines Display and immediately reenable it
    -verify gridlines disappeared and reappeared correctly
  -leave this window open

test procedure: axis point mode on linear-log graph
---------------------------------------------------

initial status: 
  Engauge is running with a single window containing "inverse"

steps:
  -import samples/linlog.jpg
  -select log scale for vertical axis using Settings/Coordinates/Y-R/Log
  -(axis point mode) digitize three axis points, but NOT three points
   at right angles. Instead, digitize points (3, 1), (1, 10) and (3, 10)
  -move cursor around and verify correct coordinates in status bar
  -click on "inverse" window and then the "linlog" window
    -verify the View/Curve Geometry Info window contents changed appropriately

test procedure: windows
-----------------------

initial status:
  Engauge is running with two windows containing "inverse" and "linlog" with
  "linlog" currently active

steps:
  -select Window/New Window
    -verify there are now two "linlog" entries on the Window menu
  -select Window/Cascade
    -verify there are three cascaded windows
  -select Window/Tile
    -verify there are three tiled windows
  -click on the X of one of the two "linlog" windows
    -verify there are now just two windows with "inverse" and "linlog"

test procedure: help
--------------------

initial status:
  Engauge is running with at least one document open

steps:
  -select Help/About Engauge
    -verify About window has reasonable version number
  -close About window
  -select Help/User Manual
    -verify that a browser window appeared showing help topics
  -click on some of the help topics
    -verify the browser follows links correctly
  -close the Help browser
  -select Help/Graph Tutorial
    -verify that a browser window appeared showing the graph tutorial
  -close the graph tutorial browser
  -select Help/Map Tutorial
    -verify that a browser window appeared showing the map tutorial
  -close the map tutorial browser
  -select Help/What's This and then a document window
    -verify the cursor changed appropriately, and popup help appeared
  -repeat Help/What's This for each button on the Toolbar
  -repeat Help/What's This for the Status Bar
